package com.zteits.job.domain;

import java.math.BigDecimal;
import java.util.Date;

public class TpPEqp {
    /**id*/
    private Long id;

    /**停车场编号*/
    private String plNo;

    /**设备类型 字典表[TP_P_EQP_EQP_TYPE] 1-地磁；2-视频桩；3-地锁,4-网关，5-中继器等*/
    private Integer eqpType;

    /**设备接入方式：10-厂家直连；11-NB地磁电信IOT连接*/
    private Integer joinMethod;

    /**设备编号,由于之前的文档没有区分厂家，为防止不同厂家设备号重复，对接时，需要增加不同的前缀。*/
    private String eqpNo;

    /**车位编码*/
    private String berthNo;

    /**设备名称*/
    private String eqpName;

    /**设备型号*/
    private String eqpModel;

    /**是否在线：0-在线；1-离线  2-故障*/
    private String eqpIsOnline;

    /**维护人*/
    private String maintainOpt;

    /**心跳间隔时间，单位秒*/
    private Integer heartbeatInterval;

    /**设备心跳更新时间*/
    private Date heartbeatTime;

    /**厂家编号*/
    private String factoryNo;

    /**经度*/
    private BigDecimal lonId;

    /**纬度*/
    private BigDecimal latId;

    /**备注*/
    private String remark;

    /**数据状态:0-失效,1-生效*/
    private Integer dataState;

    private Date createTime;

    private Long createOp;

    /**更新时间*/
    private Date modifyTime;

    /**更新人*/
    private Long modifyOp;

    /**操作标志，0：新建，1：修改，2：删除*/
    private String optFlg;

    /**电量值*/
    private String electricity;

    /**经纬度类型:1:百度*/
    private Integer lonLatType;

    /**电压值*/
    private String voltag;

    /**设备安装时间*/
    private Date installTime;

    /**设备使用类型变更时间*/
    private Date usedTime;

    /**设备使用类型:10-调试中;20-商用中*/
    private Integer usedType;

    /**电信IOT分配的deviceId*/
    private String deviceId;

    /**电信IOT验证码，一般为设备的imei号*/
    private String verifyCode;

    /**信号*/
    private Integer rssi;

    /**网关编码*/
    private String gatewayNo;

    /**电信IOT返回的psk码，psk码，用于生成设备鉴权参数*/
    private String psk;

    /**获取id*/
    public Long getId() {
        return id;
    }

    /**设置id*/
    public void setId(Long id) {
        this.id = id;
    }

    /**获取停车场编号*/
    public String getPlNo() {
        return plNo;
    }

    /**设置停车场编号*/
    public void setPlNo(String plNo) {
        this.plNo = plNo == null ? null : plNo.trim();
    }

    /**获取设备类型 字典表[TP_P_EQP_EQP_TYPE] 1-地磁；2-视频桩；3-地锁,4-网关，5-中继器等*/
    public Integer getEqpType() {
        return eqpType;
    }

    /**设置设备类型 字典表[TP_P_EQP_EQP_TYPE] 1-地磁；2-视频桩；3-地锁,4-网关，5-中继器等*/
    public void setEqpType(Integer eqpType) {
        this.eqpType = eqpType;
    }

    /**获取设备接入方式：10-厂家直连；11-NB地磁电信IOT连接*/
    public Integer getJoinMethod() {
        return joinMethod;
    }

    /**设置设备接入方式：10-厂家直连；11-NB地磁电信IOT连接*/
    public void setJoinMethod(Integer joinMethod) {
        this.joinMethod = joinMethod;
    }

    /**获取设备编号,由于之前的文档没有区分厂家，为防止不同厂家设备号重复，对接时，需要增加不同的前缀。*/
    public String getEqpNo() {
        return eqpNo;
    }

    /**设置设备编号,由于之前的文档没有区分厂家，为防止不同厂家设备号重复，对接时，需要增加不同的前缀。*/
    public void setEqpNo(String eqpNo) {
        this.eqpNo = eqpNo == null ? null : eqpNo.trim();
    }

    /**获取车位编码*/
    public String getBerthNo() {
        return berthNo;
    }

    /**设置车位编码*/
    public void setBerthNo(String berthNo) {
        this.berthNo = berthNo == null ? null : berthNo.trim();
    }

    /**获取设备名称*/
    public String getEqpName() {
        return eqpName;
    }

    /**设置设备名称*/
    public void setEqpName(String eqpName) {
        this.eqpName = eqpName == null ? null : eqpName.trim();
    }

    /**获取设备型号*/
    public String getEqpModel() {
        return eqpModel;
    }

    /**设置设备型号*/
    public void setEqpModel(String eqpModel) {
        this.eqpModel = eqpModel == null ? null : eqpModel.trim();
    }

    /**获取是否在线：0-在线；1-离线  2-故障*/
    public String getEqpIsOnline() {
        return eqpIsOnline;
    }

    /**设置是否在线：0-在线；1-离线  2-故障*/
    public void setEqpIsOnline(String eqpIsOnline) {
        this.eqpIsOnline = eqpIsOnline == null ? null : eqpIsOnline.trim();
    }

    /**获取维护人*/
    public String getMaintainOpt() {
        return maintainOpt;
    }

    /**设置维护人*/
    public void setMaintainOpt(String maintainOpt) {
        this.maintainOpt = maintainOpt == null ? null : maintainOpt.trim();
    }

    /**获取心跳间隔时间，单位秒*/
    public Integer getHeartbeatInterval() {
        return heartbeatInterval;
    }

    /**设置心跳间隔时间，单位秒*/
    public void setHeartbeatInterval(Integer heartbeatInterval) {
        this.heartbeatInterval = heartbeatInterval;
    }

    /**获取设备心跳更新时间*/
    public Date getHeartbeatTime() {
        return heartbeatTime;
    }

    /**设置设备心跳更新时间*/
    public void setHeartbeatTime(Date heartbeatTime) {
        this.heartbeatTime = heartbeatTime;
    }

    /**获取厂家编号*/
    public String getFactoryNo() {
        return factoryNo;
    }

    /**设置厂家编号*/
    public void setFactoryNo(String factoryNo) {
        this.factoryNo = factoryNo == null ? null : factoryNo.trim();
    }

    /**获取经度*/
    public BigDecimal getLonId() {
        return lonId;
    }

    /**设置经度*/
    public void setLonId(BigDecimal lonId) {
        this.lonId = lonId;
    }

    /**获取纬度*/
    public BigDecimal getLatId() {
        return latId;
    }

    /**设置纬度*/
    public void setLatId(BigDecimal latId) {
        this.latId = latId;
    }

    /**获取备注*/
    public String getRemark() {
        return remark;
    }

    /**设置备注*/
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**获取数据状态:0-失效,1-生效*/
    public Integer getDataState() {
        return dataState;
    }

    /**设置数据状态:0-失效,1-生效*/
    public void setDataState(Integer dataState) {
        this.dataState = dataState;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getCreateOp() {
        return createOp;
    }

    public void setCreateOp(Long createOp) {
        this.createOp = createOp;
    }

    /**获取更新时间*/
    public Date getModifyTime() {
        return modifyTime;
    }

    /**设置更新时间*/
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**获取更新人*/
    public Long getModifyOp() {
        return modifyOp;
    }

    /**设置更新人*/
    public void setModifyOp(Long modifyOp) {
        this.modifyOp = modifyOp;
    }

    /**获取操作标志，0：新建，1：修改，2：删除*/
    public String getOptFlg() {
        return optFlg;
    }

    /**设置操作标志，0：新建，1：修改，2：删除*/
    public void setOptFlg(String optFlg) {
        this.optFlg = optFlg == null ? null : optFlg.trim();
    }

    /**获取电量值*/
    public String getElectricity() {
        return electricity;
    }

    /**设置电量值*/
    public void setElectricity(String electricity) {
        this.electricity = electricity == null ? null : electricity.trim();
    }

    /**获取经纬度类型:1:百度*/
    public Integer getLonLatType() {
        return lonLatType;
    }

    /**设置经纬度类型:1:百度*/
    public void setLonLatType(Integer lonLatType) {
        this.lonLatType = lonLatType;
    }

    /**获取电压值*/
    public String getVoltag() {
        return voltag;
    }

    /**设置电压值*/
    public void setVoltag(String voltag) {
        this.voltag = voltag == null ? null : voltag.trim();
    }

    /**获取设备安装时间*/
    public Date getInstallTime() {
        return installTime;
    }

    /**设置设备安装时间*/
    public void setInstallTime(Date installTime) {
        this.installTime = installTime;
    }

    /**获取设备使用类型变更时间*/
    public Date getUsedTime() {
        return usedTime;
    }

    /**设置设备使用类型变更时间*/
    public void setUsedTime(Date usedTime) {
        this.usedTime = usedTime;
    }

    /**获取设备使用类型:10-调试中;20-商用中*/
    public Integer getUsedType() {
        return usedType;
    }

    /**设置设备使用类型:10-调试中;20-商用中*/
    public void setUsedType(Integer usedType) {
        this.usedType = usedType;
    }

    /**获取电信IOT分配的deviceId*/
    public String getDeviceId() {
        return deviceId;
    }

    /**设置电信IOT分配的deviceId*/
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId == null ? null : deviceId.trim();
    }

    /**获取电信IOT验证码，一般为设备的imei号*/
    public String getVerifyCode() {
        return verifyCode;
    }

    /**设置电信IOT验证码，一般为设备的imei号*/
    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode == null ? null : verifyCode.trim();
    }

    /**获取信号*/
    public Integer getRssi() {
        return rssi;
    }

    /**设置信号*/
    public void setRssi(Integer rssi) {
        this.rssi = rssi;
    }

    /**获取网关编码*/
    public String getGatewayNo() {
        return gatewayNo;
    }

    /**设置网关编码*/
    public void setGatewayNo(String gatewayNo) {
        this.gatewayNo = gatewayNo == null ? null : gatewayNo.trim();
    }

    /**获取电信IOT返回的psk码，psk码，用于生成设备鉴权参数*/
    public String getPsk() {
        return psk;
    }

    /**设置电信IOT返回的psk码，psk码，用于生成设备鉴权参数*/
    public void setPsk(String psk) {
        this.psk = psk == null ? null : psk.trim();
    }
}